%global momorel 2
Summary: LIBSPT
Name: libspt
Version: 1.1
Release: %{momorel}m
Source0: http://www.j10n.org/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: libspt-makefile.patch
License: Modified BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.j10n.org/libspt/
BuildPreReq: libtool

%description
On many platforms terminal emulators need some privilege for some
functionalities. Especially, they need root privilege on BSDs to prevent other
users from peeking user's input. With libspt you can drop all privileges of
your terminal emulator. Additionally libspt saves terminal emulator writers
many portability related headaches. (Yes, there is many headaches.)

From libspt-0.2 it also provides a minimal termios(termio/sgtty) wrapper
functionality. It does not support any customization nor complex settings but
enables you to implement easiest functionalities portably with least work.
# from web page

%package devel
Summary: Development files for libusb.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: usbutils-devel

%description devel
This package contains the header files and documentation needed to
develop applications that use libspt

%prep
%setup -q
%patch0 -p1

%build
./configure --libexecdir=%{_sbindir} --prefix=%{_prefix}
make

%install
make install libexecdir=%{buildroot}%{_sbindir} prefix=%{buildroot}%{_prefix}
rm -rf %{buildroot}/usr/man

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYRIGHT CHANGES
#%%attr(4755,root,whell) %{_libexecdir}/sptagent
%attr(4755,root,wheel) %{_sbindir}/sptagent
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/libspt-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1-2m)
- revised spec for enabling rpm 4.2.

* Fri Dec 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-1m)
- Initial Momonga release
